package sega.a7;

import javacard.framework.Util;
import javacard.security.MessageDigest;

public class ErrorGet extends Command {
    private static final short RECV_PACKET_SIZE = 26;
    private static final short PARAM_SIZE = 28;

    public ErrorGet(short cmd, AppData data, MakePacket packet, MessageDigest sha1) {
        super(cmd, RECV_PACKET_SIZE, PARAM_SIZE, data, packet, sha1);
    }

    public short core(byte[] data, short dataOffset, short dataLength) {
        byte[] ramD_errorBuf = this.m_ee_data.getGeneralBuffer_ramD();
        short ramD_lastError = this.m_ee_data.getLastError_ramD();
        Util.setShort(ramD_errorBuf, (short) 0, ramD_lastError);
        this.m_ramD_outDataInfo[0] = 0;
        this.m_ramD_outDataInfo[1] = 2;
        Util.arrayCopyNonAtomic(ramD_errorBuf, this.m_ramD_outDataInfo[0], this.m_ramD_outData,
                this.m_ramD_outDataInfo[0], this.m_ramD_outDataInfo[1]);
        return AppConfig.A7_SUCCESS;
    }
}
