package sega.a7;

import javacard.security.MessageDigest;

public class LvEnable extends Command {
    private static final short RECV_PACKET_SIZE = 26;
    private static final byte AUTH_LEVEL = -1;
    private static final short PARAM_SIZE = 26;
    private static final byte SET_AUTH_LEVEL = 0;

    public LvEnable(short cmd, AppData data, MakePacket packet, MessageDigest sha1) {
        super(cmd, RECV_PACKET_SIZE, PARAM_SIZE, data, packet, sha1);
    }

    public short core(byte[] data, short dataOffset, short dataLength) {
        if (this.m_ee_data.getLevel_ramD() != AUTH_LEVEL)
            return AppConfig.A7_LV_ERROR;

        if (this.m_ee_data.getSflag_ee())
            return AppConfig.A7_EEPWRITE_DISABLE;

        this.m_ee_data.setLevel_ramD(SET_AUTH_LEVEL);
        return AppConfig.A7_SUCCESS;
    }
}
