package sega.a7;

import javacard.framework.Util;
import javacard.security.MessageDigest;

public class LvGet extends Command {
    private static final short RECV_PACKET_SIZE = 26;
    private static final short PARAM_SIZE = 27;

    public LvGet(short cmd, AppData data, MakePacket packet, MessageDigest sha1) {
        super(cmd, RECV_PACKET_SIZE, PARAM_SIZE, data, packet, sha1);
    }

    public short core(byte[] data, short dataOffset, short dataLength) {
        byte[] ramD_level = this.m_ee_data.getGeneralBuffer_ramD();
        ramD_level[0] = this.m_ee_data.getLevel_ramD();

        this.m_ramD_outDataInfo[0] = 0;
        this.m_ramD_outDataInfo[1] = 1;
        Util.arrayCopyNonAtomic(ramD_level, this.m_ramD_outDataInfo[0], this.m_ramD_outData, this.m_ramD_outDataInfo[0],
                this.m_ramD_outDataInfo[1]);

        return AppConfig.A7_SUCCESS;
    }
}
