package sega.a7;

import javacard.security.MessageDigest;

public class NoCommand extends Command {
    public NoCommand(short cmd, AppData data, MakePacket packet, MessageDigest sha1) {
        super(cmd, (short) 0, (short) 26, data, packet, sha1);
    }

    public short execute(byte[] data, short cmd, short dataLength, byte[] dst, short dstOffset, short dstLength) {
        return (6 > dataLength) ? makeNoCommandErrorPacket((short) 4, cmd, dst, dstOffset, dstLength)
                : makeNoCommandErrorPacket((short) 7, cmd, dst, dstOffset, dstLength);
    }

    private short makeNoCommandErrorPacket(short error, short cmd, byte[] sendPacket, short packetOffset,
            short packetLength) {
        this.m_ee_data.setLastError_ramD(error);
        this.m_ee_packet.setData(null, (short) 0, (short) 0, AppConfig.A7_TAG_RSP_COMMAND, (short) 26, error,
                cmd, null, (short) 0, (short) 0, null, (short) 0, (short) 0, null, (short) 0, (short) 0,
                sendPacket, packetOffset, packetLength, this.m_ee_sha1, null);
        return 26;
    }
}
