package sega.a7;

import javacard.security.MessageDigest;

public class SflagWrite extends AuthCommand {
    private static final short RECV_PACKET_SIZE = 46;
    private static final byte AUTH_LEVEL = 2;
    private static final short PARAM_SIZE = 46;

    public SflagWrite(short cmd, AppData data, MakePacket packet, MessageDigest sha1, HmacSha1 hmacSha1, Crypt crypt) {
        super(cmd, RECV_PACKET_SIZE, PARAM_SIZE, AUTH_LEVEL, data, packet, sha1, hmacSha1, crypt);
    }

    public short core(byte[] data, short dataOffset, short dataLength) {
        if (this.m_ee_data.getSflag_ee())
            return AppConfig.A7_EEPWRITE_DISABLE;

        this.m_ee_data.activeSflag();
        return AppConfig.A7_SUCCESS;
    }
}
