package sega.a7;

import javacard.security.MessageDigest;

public class SessionClose extends Command {
    private static final short RECV_PACKET_SIZE = 26;
    private static final short PARAM_SIZE = 26;

    public SessionClose(short cmd, AppData data, MakePacket packet, MessageDigest sha1) {
        super(cmd, RECV_PACKET_SIZE, PARAM_SIZE, data, packet, sha1);
    }

    public short core(byte[] data, short dataOffset, short dataLength) {
        this.m_ee_data.setSession_ramD(AppData.SESSION_DISABLE);
        return AppConfig.A7_SUCCESS;
    }
}
